Skip to main content
Validate connection (requires the ROLE_MANAGE_CONNECTIONS privilege)

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Query Parameters

suppressWarnings
boolean
default:false

The response to this API endpoint may return a validation error with a list of problems. Each problem has a level (ERROR, WARNING). Passing suppressWarnings=true will suppress all warnings and the request will succeed if there are no errors

Body

application/vnd.composer.v3+json

Source connection with its features

name
string
required
Minimum string length: 1
type
string
required
subStorageType
string
required
id
string
accountId
string
creatingUserName
string
disabled
boolean
connectionTypeId
string
allParameters
object[]

A set of connection parameters containing both standard parameters, and those used by the system to provide stateless connections

folderId
string

Optional folder ID for organizing the connection within a project.

Example:

1111

Response

200 - application/vnd.composer.v3+json

OK

connected
boolean
message
string
warning
string